# cpr_job_description.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/job.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/cpr/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::cpr
namespace | saga::cpr::attributes
## Classes
class | saga::cpr::description
| This object encapsulates all the attributes which define a job to be run. More...